Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

python-xpcom-1.9.0.8-1mdv2009.1 RPM for i586

From Mandriva 2009.1 for i586 / media / main / release

Name: python-xpcom Distribution: Mandriva Linux
Version: 1.9.0.8 Vendor: Mandriva
Release: 1mdv2009.1 Build date: Sat Mar 28 08:21:13 2009
Group: Development/Python Build host: n2.mandriva.com
Size: 326552 Source RPM: xulrunner-1.9.0.8-1mdv2009.1.src.rpm
Packager: Gustavo De Nardin <gustavodn@mandriva.com>
Url: http://developer.mozilla.org/en/docs/XULRunner
Summary: XPCOM bindings for Python
PyXPCOM allows for communication between Python and XPCOM, such that
a Python application can access XPCOM objects, and XPCOM can access
any Python class that implements an XPCOM interface.
With PyXPCOM, a developer can talk to XPCOM or embed Gecko from
a Python application.

Provides

Requires

License

MPLv1.1 or GPLv2+ or LGPLv2+

Changelog

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.0.8-1mdv2009.1
  + Revision: 361833
  - new version 1.9.0.8
* Mon Mar 23 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9.0.7-2mdv2009.1
  + Revision: 360728
  - rebuilt to pickup new data from the rootcerts (20090115.00) package
* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9.0.7-1mdv2009.1
  + Revision: 354018
  - 3.0.7
* Sun Mar 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.6-2mdv2009.1
  + Revision: 346354
  - enable pipelining for proxies
  - rise up network.http.pipelining.maxrequests to 8
  
    + Gustavo De Nardin <gustavodn@mandriva.com>
      - oops! de-inverted the mdkversion test for _requires_exceptions
      - re-added _requires_exceptions removed by fwang on r315183, needed at least for 2009.0
* Tue Feb 03 2009 Funda Wang <fundawang@mandriva.org> 1.9.0.6-1mdv2009.1
  + Revision: 336981
  - New version 1.9.0.6
* Thu Jan 15 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.0.5-3mdv2009.1
  + Revision: 329911
  - buildrequire python-devel for python xpcom bindings
  - automate subrel definition when building for older distros
  - build xpcom python bindings for Mdv 2009.1 and later
  - prepare xulrunner to build on older distro versions too
* Mon Dec 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.5-2mdv2009.1
  + Revision: 317670
  - compile with %ldflags
  - add few warnings to the spec file
  
    + Funda Wang <fundawang@mandriva.org>
      - New version 1.9.0.5
      - fix building with new cflags
  
    + Gustavo De Nardin <gustavodn@mandriva.com>
      - adding big banner to the spec, to prevent people from messing it up, same thing as firefox
* Thu Nov 13 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.0.4-1mdv2009.1
  + Revision: 302852
  - new version, 1.9.0.4
  - reverting r299474 file name fix, .cpp is only in firefox-3.1, .c in firefox-3.0
  
    + Tomasz Pawel Gajc <tpg@mandriva.org>
      - update firefox tarball to version 3.0.4 (xulrunner 1.9.0.3)
      - update to firefox 3.1-beta1
  
    + Olivier Blin <oblin@mandriva.com>
      - fix jsfile.cpp path in path_len patch
* Sun Sep 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.3-1mdv2009.0
  + Revision: 288943
  - update firefox tarball to version 3.0.3 (xulrunner 1.9.0.3)
* Fri Sep 26 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.2-1mdv2009.0
  + Revision: 288008
  - update firefox tarball to version 3.0.2 (xulrunner 1.9.0.2)
* Mon Sep 15 2008 Frederic Crozat <fcrozat@mandriva.com> 1.9.0.1-16mdv2009.0
  + Revision: 284637
  - Update patch10 to specify libdir for mozilla-js, needed for correct rpath linking in google-gadgets
* Wed Sep 03 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-15mdv2009.0
  + Revision: 279088
  - obsolete old libmozilla-firefox-devel
  - bump release
* Fri Aug 22 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-14mdv2009.0
  + Revision: 274837
  - add upstream patches to fix crash with windowless plugins (swfdec)
    - bump release
* Thu Aug 21 2008 Götz Waschk <waschk@mandriva.org> 1.9.0.1-13mdv2009.0
  + Revision: 274241
  - more devel exceptions
* Thu Aug 21 2008 Götz Waschk <waschk@mandriva.org> 1.9.0.1-12mdv2009.0
  + Revision: 274202
  - try to fix requires exceptions again to make the devel package installable
* Wed Aug 20 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-11mdv2009.0
  + Revision: 273964
  - removing wrong \\| in the end of _requires_exceptions
  - bump release
* Tue Aug 19 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-10mdv2009.0
  + Revision: 273273
  - changing defines to be able to submit.
  - disabling auto theme selection.
  - bump release
  - change requires to work on biarch systems
    not using %arch_tagged to prevent hardcoding the version.
* Thu Aug 14 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-9mdv2009.0
  + Revision: 271429
  - fix Requires to libhunspell
  - bump release
  - add requires to libhunspell (#42745)
  - provide libxulrunner for noarch packages (#42680)
* Tue Aug 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.1-8mdv2009.0
  + Revision: 270855
  - remove wrong requires on nspr-static-devel(?)
  - move requires to the xulrunner library subpackage
  - manually pull dependancies on libnss3 and libnspr4
  - use more appropriate name for unstable devel library
  - blacklist all nss libraries, this prevent auto pulling them as a dependencies for xulrunner-devel package
  - drop patch 9, completely wrong way
  - add buildrequires on nss-static-devel
  - fix file list
  - Patch9: fix building against system-wide nss library
  - enable build against system wide nspr and nss libraries
  - add few options to configure stage
  
    + Frederik Himpe <fhimpe@mandriva.org>
      - Remove BuildRequires: freetype-devel, this is the old freetype. The new
        libfreetype6-devel we need is actually already required by pango-devel
* Sat Aug 02 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-5mdv2009.0
  + Revision: 259973
  - add patch to auto select theme on firefox
  - do not obsolete mozilla-firefox-gnome-support. It must be obsoleted by firefox package.
  - change gre_conf_file to use macros instead of shell variables
  - bump release
  - obsoleting mozilla-firefox-gnome-support as xulrunner now provides libnkgnomevfs.so
  
    + Frederik Himpe <fhimpe@mandriva.org>
      - Use major in gre config file name, so that future xulrunner
        versions won't conflict
* Thu Jul 31 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-4mdv2009.0
  + Revision: 254206
  -Add some BuildRequires on GNOME libraries, which will hopefull bring
   back file type associations in Firefox built with xulrunner
  - xulrunner package should depend on xulrunner library
* Wed Jul 30 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-3mdv2009.0
  + Revision: 253592
  - Add BuildRequires: python
  - Remove BuildRequires: gourmet
  - (Fedora): cleanup: remove some unneeded install commands
  - (Fedora): use system myspell directionaries
  - Try to fix permissions of /usr/share/doc/xulrunner
  - (Fedora) Package chk files, they are needed for nss and FIPS 140
  - Integrate Firefox package vendor.js prefs file, and add from Fedora:
    * pref("toolkit.storage.synchronous", 0); (works around the infamous
      ext3 fsync problem with Firefox 3)
    * pref("intl.locale.matchOS", true); (use system locale for UI)
    * pref("app.update.autoInstallEnabled", false);
* Mon Jul 28 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-2mdv2009.0
  + Revision: 250321
  - Don't define name, version and release
  - Attempt to libify the package so that 64 bits users can also
    install the 32 bits libraries
  - Don't make header files biarch aware, installing 32 and 64 bits
    devel pacakges at the same time is not supported on Mandriva anyway
  - Don't add xulrunner directory to ld.so.conf.d
  - Remove mochitest patch, we are not building these test anyway
  - Install README.txt and LICENSE files in /usr/share/doc
  - Re-enable startup notification which was disabled by accident
* Sun Jul 27 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-1mdv2009.0
  + Revision: 250050
  - Synchronise with Fedora SPEC to make xulrunner actually usable:
    * Fix license
    * Add  prefs.js with some Mandriva custom settings
    * Put stable and unstable API development files in different
      directories
    * Create xulrunner-devel-unstable which contains development files
      with unstable API
    * Add Fedora patch to use 1.9 as xulrunner version in the directory
      name instead of the complete version string
    * Add Fedora mochitest patch to fix building with system nspr and
      nss with test enabled
    * Add Fedora pkgconfig patch to fix locations in pkgconfig files
    * Disable building tests
  - New version 1.9.0.1
  - Make it possible to build xulrunner from the Firefox sources, and
    do so for Xulrunner 1.9.0.1 built from Firefox 3.0.1 sources
  - Remove sqlite3 patch, problem fixed upstream
  - Only use system sqlite on Mandriva 2009.0 and newer, because
    it requires at least sqlite 3.5.9
* Mon Jul 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9-1mdv2009.0
  + Revision: 238857
  - initial package for Mandriva(work in progress)
  - backport few patches from firefox-3.0
  - try better idea for pluginsdir patch, first check /usr/lib64 and then /usr/lib for mozilla plugins
  - Created package structure for xulrunner.

Files

/usr/lib/python2.6/site-packages/xpcom
/usr/lib/python2.6/site-packages/xpcom/__init__.py
/usr/lib/python2.6/site-packages/xpcom/_xpcom.so
/usr/lib/python2.6/site-packages/xpcom/client
/usr/lib/python2.6/site-packages/xpcom/client/__init__.py
/usr/lib/python2.6/site-packages/xpcom/components.py
/usr/lib/python2.6/site-packages/xpcom/file.py
/usr/lib/python2.6/site-packages/xpcom/nsError.py
/usr/lib/python2.6/site-packages/xpcom/primitives.py
/usr/lib/python2.6/site-packages/xpcom/server
/usr/lib/python2.6/site-packages/xpcom/server/__init__.py
/usr/lib/python2.6/site-packages/xpcom/server/enumerator.py
/usr/lib/python2.6/site-packages/xpcom/server/factory.py
/usr/lib/python2.6/site-packages/xpcom/server/loader.py
/usr/lib/python2.6/site-packages/xpcom/server/module.py
/usr/lib/python2.6/site-packages/xpcom/server/policy.py
/usr/lib/python2.6/site-packages/xpcom/shutdown.py
/usr/lib/python2.6/site-packages/xpcom/tools
/usr/lib/python2.6/site-packages/xpcom/tools/regxpcom.py
/usr/lib/python2.6/site-packages/xpcom/tools/tracer_demo.py
/usr/lib/python2.6/site-packages/xpcom/xpcom_consts.py
/usr/lib/python2.6/site-packages/xpcom/xpt.py
/usr/lib/xulrunner-1.9/components/libpyloader.so
/usr/lib/xulrunner-1.9/components/pyabout.py
/usr/lib/xulrunner-1.9/libpyxpcom.so


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Oct 9 23:36:36 2018